%define upstream_name    EBook-EPUB
%define upstream_version 0.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Perl module for generating EPUB documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/EBook/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Writer)
BuildArch: noarch

%{?perl_default_filter}

%description
The Navigation Control file for XML applications (NCX) exposes the
hierarchical structure of a Publication to allow the user to navigate
through it. The NCX is similar to a table of contents in that it enables
the reader to jump directly to any of the major structural elements of the
document, i.e. part, chapter, or section, but it will often contain more
elements of the document than the publisher chooses to include in the
original print table of contents. It can be visualized as a collapsible
tree familiar to PC users.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.600.0-13.mga10
+ Revision: 2205561
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.600.0-12.mga9
+ Revision: 1811453
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.600.0-11.mga8
+ Revision: 1523761
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Mar 12 2019 tv <tv> 0.600.0-10.mga7
+ Revision: 1374713
- fix summary

* Wed Sep 19 2018 umeabot <umeabot> 0.600.0-9.mga7
+ Revision: 1267835
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.600.0-8.mga6
+ Revision: 1026862
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.600.0-7.mga6
+ Revision: 944969
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.600.0-6.mga5
+ Revision: 746082
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.600.0-5.mga5
+ Revision: 732085
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.600.0-4.mga5
+ Revision: 684608
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.600.0-3.mga4
+ Revision: 511381
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-2.mga3
+ Revision: 366739
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 09 2012 shlomif <shlomif> 0.600.0-1.mga2
+ Revision: 194091
- New version - 0.6

* Sat Dec 17 2011 shlomif <shlomif> 0.500.0-1.mga2
+ Revision: 182980
- imported package perl-EBook-EPUB


* Mon May 16 2011 cpan2dist 0.5-1mdv
- initial mdv release, generated with cpan2dist
